
package org.nst.pasientlink.authenticator;

/**
 * <p>Title: AllTests </p>
 * <p>Description: test suite for authenticator </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: Norwegian Centre for Telemedicine </p>
 * @author Thomas Strandens
 * @version 1.0
 */

import junit.framework.*;

public class AllTests extends TestCase {

  public AllTests(String s) {
    super(s);
  }

  /**
   * One Test to rule them all,
   * One Test to bind them,
   * One Test to bring them all and in the darkness bind them
   * In the land of Java where the bugs live."
   *
   */

  public static Test suite() {
    TestSuite suite = new TestSuite();
    suite.addTestSuite(org.nst.pasientlink.authenticator.TestUtility.class);
    suite.addTestSuite(org.nst.pasientlink.authenticator.TestAuthenticatorStorage.class);
    suite.addTestSuite(org.nst.pasientlink.authenticator.TestRequest.class);
    return suite;
  }
}
